# Fixed User Entity Reference Selection Handler

This module provides a node entity reference selection handler that extends the
default behavior to have access checks run against a fixed user rather than the
current. It was built to allow admins to populate public-facing entity reference
fields without fear of including inaccessible content.

## Installation

Install as you would normally install a contributed Drupal module.
See: https://www.drupal.org/node/895232 for further information.

## Configuration

When configuring the entity reference field, choose the _Default with fixed user
access_ reference method. As well as the usual configuration options, there is
an additional field _User to run as_. Enter the user to have access checks run
as. **Be careful if choosing an authenticated user: there are security
implications.**

